### Signal

# SpiceClientGLib DisplayChannel::display-invalidate

#### Declaration

    void
    display_invalidate (
      SpiceDisplayChannel* self,
      gint x,
      gint y,
      gint width,
      gint height,
      gpointer user_data
    )

#### Description [src]

The `SpiceDisplayChannel::display-invalidate` signal is emitted when the rectangular region x/y/w/h of the primary buffer is updated.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`x`

  Type: `gint`

  X position.

`y`

  Type: `gint`

  Y position.

`width`

  Type: `gint`

  Width.

`height`

  Type: `gint`

  Height.